<div ng-controller="DetailTabs as detailTabs">
  <uib-tabset class="detail-tabs-container" ng-class="{'col-sm-8': datasetTab.phyloTreeVisible, 'col-sm-12': !datasetTab.phyloTreeVisible, 'dashed-left-border': datasetTab.phyloTreeVisible}"
              active="detailTabs.activeTabIndex">
    <li>
      <button type="button" class="btn btn-default btn-xs phylo-tree-toggle-button" ng-click="datasetTab.togglePhyloTree()"
              uib-tooltip="Toggle pyhlogenetic tree" tooltip-placement="right" tooltip-append-to-body="true">
        <div><i class="fa fa-sitemap fa-rotate-270"></i></div>
        <i class="fa" ng-class="{'fa-arrow-left': datasetTab.phyloTreeVisible,'fa-arrow-right': !datasetTab.phyloTreeVisible}"></i>
      </button>
    </li>
    <uib-tab index="0" select="detailTabs.tabSelected('table')">
      <uib-tab-heading>
        <i class="fa fa-fw" ng-class="{'fa-spinner fa-pulse': detailTabs.isLoading('paginated-table'), 'fa-table': !detailTabs.isLoading('paginated-table')}"></i> Genes
      </uib-tab-heading>
      <div ng-include="'components/PaginatedTable/paginated-table.html'"></div>
    </uib-tab>
    <uib-tab index="1" select="detailTabs.tabSelected('contigs')">
      <uib-tab-heading>
        <i class="fa fa-fw" ng-class="{'fa-spinner fa-pulse': detailTabs.isLoading('contigs'), 'fa-align-left': !detailTabs.isLoading('contigs')}"></i> Contigs
      </uib-tab-heading>
      <div ng-include="'components/Contigs/contigs.html'"></div>
    </uib-tab>
    <uib-tab index="2" select="detailTabs.tabSelected('go-stats')">
      <uib-tab-heading>
        <i class="fa fa-fw" ng-class="{'fa-spinner fa-pulse': detailTabs.isLoading('go-stats'), 'fa-bar-chart fa-rotate-90': !detailTabs.isLoading('go-stats')}"></i> GO Stats
      </uib-tab-heading>
      <div ng-controller="GoStatsHelper as goStatsHelper">
        <go-stats data="goStatsHelper.datasets" compare="false"></go-stats>
      </div>
    </uib-tab>
    <uib-tab index="3" select="detailTabs.tabSelected('pathway-overview')">
      <uib-tab-heading>
        <i class="fa fa-fw" ng-class="{'fa-spinner fa-pulse': detailTabs.isLoading('pathway-overview'), 'fa-object-group': !detailTabs.isLoading('pathway-overview')}"></i> Pathways
      </uib-tab-heading>
      <div ng-controller="PathwayOverviewHelper as pathwayOverviewHelper">
        <pathway-overview data="pathwayOverviewHelper.datasets" compare="false"></pathway-overview>
      </div>
    </uib-tab>
    <uib-tab index="5" select="detailTabs.tabSelected('bins')">
      <uib-tab-heading>
        <i class="fa fa-fw" ng-class="{'fa-spinner fa-pulse': detailTabs.isLoading('bins'), 'fa-th': !detailTabs.isLoading('bins')}"></i> MAGs
      </uib-tab-heading>
      <div ng-include="'components/Bins/bins.html'"></div>
    </uib-tab>
    <uib-tab index="6" select="detailTabs.tabSelected('insights')" ng-if="detailTabs.enabledInsights.length > 0">
      <uib-tab-heading>
        <i class="fa fa-fw" ng-class="{'fa-spinner fa-pulse': detailTabs.isLoading('insights'), 'fa-lightbulb-o': !detailTabs.isLoading('insights')}"></i> Insights
      </uib-tab-heading>
      <div ng-include="'components/Insights/insights.html'"></div>
    </uib-tab>
  </uib-tabset>
</div>